/*
 * My first attempt at re-routing stdout/stderr to the monolog.
 * It had some deadlock issues. 
 * Output is now done via a Python object.
 * I'll keep this around in case someone is inclined to work out the
 * bugs.  Not that there's any reason to abandon MonologObject now.
 */
#ifdef MONOTHREAD
#include <cstdio>
#include <lg/types.h>
#include <lg/scrservices.h>

namespace PyNumbra
{
	class MonologOutput
	{
		IDebugScrSrv *m_pDSS;
		FILE *m_hPipeOut;
		char m_chReadBuf[128];

	public:
		~MonologOutput();
		MonologOutput(int fd);

		static __stdcall unsigned int OutputThread(MonologOutput *pMono);
	};

	FILE * OpenMonolog(void);
	int CloseMonolog(FILE *fp);
}
#endif
